unit frmlogin; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Buttons, ActnList;

type

  { TLoginForm }

  TLoginForm = class(TForm)
    ActionList1: TActionList;
    BLogin: TButton;
    BCancel: TButton;
    CBRole: TComboBox;
    EName: TEdit;
    EPassword: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure CBRoleChange(Sender: TObject);
    procedure ENameChange(Sender: TObject);
    procedure EPasswordChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
    procedure CheckButton;
  end;

var
  LoginForm: TLoginForm;

implementation

{ TLoginForm }

procedure TLoginForm.ENameChange(Sender: TObject);
begin
  EPassword.Text:='';
  if (EName.Text='Admin') then
    CBRole.ItemIndex:=2;
  CheckButton;
end;

procedure TLoginForm.CBRoleChange(Sender: TObject);
begin
  CheckButton;
end;

procedure TLoginForm.EPasswordChange(Sender: TObject);
begin
  CheckButton;
end;

procedure TLoginForm.FormCreate(Sender: TObject);

Var
  I : Integer;

begin
  I:=1;
  While I<=ParamCount do
    begin
    If (Paramstr(i)='-u') and (I<ParamCount) then
      begin
      Inc(i);
      EName.Text:=ParamStr(I+1);
      end
    else If (Paramstr(i)='-p') and (I<ParamCount) then
      begin
      Inc(i);
      EPassWord.Text:=ParamStr(I);
      end;
    Inc(I);
    end;
  CheckButton;
end;

procedure TLoginForm.CheckButton;

begin
  BLogin.Enabled:=(EName.Text<>'') and
                  (EPassword.Text<>'') and
                  (CBRole.ItemIndex<>-1)
end;

initialization
  {$I frmlogin.lrs}

end.

